Bug 1351378 - Bluez shouldn't need mounton /etc access
Bluez shouldn't need mounton /etc access
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: bluez (Show other bugs)
24
Unspecified Linux
unspecified Severity high
: ---
: ---
Assigned To: Don Zickus
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-06-29 19:07 EDT by Bernardo Donadio
Modified: 2017-08-08 11:11 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 11:11:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 1341753 None None None 2016-06-29 19:07 EDT

  None (edit)
Description Bernardo Donadio 2016-06-29 19:07:17 EDT
Description of problem:
After a fresh F24 install, SELinux complains that bluez-5.40-1 (specifically, the /usr/libexec/bluetooth/bluetoothd binary) wants to have mounton access on /etc (not any subdir, but the /etc itself), despite having no sane justification for doing so.

As intended, SELinux blocks this request. Even though not side effect is seen on my system, other have reported that their capability to use bluetooth was impaired, as per bug #1341753.

The AVC denial is the following, and the system was put in permissive mode in order to confirm the issue:
type=AVC msg=audit(1467239211.21:93): avc:  denied  { mounton } for  pid=1091 comm="(uetoothd)" path="/etc" dev="dm-0" ino=783362 scontext=system_u:system_r:init_t:s0 tcontext=system_u:object_r:etc_t:s0 tclass=dir permissive=1

No other AVC is logged even when permissive mode is enabled.

In my case, the PID 1091 proccess is, indeed, /usr/libexec/bluetooth/bluetoothd, which was started by init.

Version-Release number of selected component (if applicable): bluez-5.40-1.fc24.x86_64

How reproducible: Always. Reproducible on all three Fedora 24 systems of mine.

Steps to Reproduce:
1. Install a fresh F24 system and start the system.
2. The above pasted AVC will be logged in the auditd log.

Expected results:
No package should need to mount anything on /etc. This access request should be removed.
Comment 1 Phil Duby 2016-07-25 16:25:20 EDT
Duplicate of https://bugzilla.redhat.com/show_bug.cgi?id=1341753
Comment 2 Fedora End Of Life 2017-07-25 17:26:28 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2017-08-08 11:11:09 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.